### Function

# Gio dbus_unescape_object_path

since: 2.68

#### Declaration [src]

    guint8*
    g_dbus_unescape_object_path (
      const gchar* s
    )

#### Description [src]

Unescapes an string that was previously escaped with g_dbus_escape_object_path(). If the string is in a format that could not have been returned by g_dbus_escape_object_path(), this function returns `NULL`.

Encoding alphanumeric characters which do not need to be encoded is not allowed (e.g `_63` is not valid, the string should contain `c` instead).

Available since: 2.68

#### Parameters

`s`

  Type: `const gchar*`

  The string to unescape.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `guint8`

An unescaped version of `s`, or `NULL` if `s` is not a string returned from g_dbus_escape_object_path(). Free with g_free().

The array is `NULL`-terminated.
The data is owned by the called function.
The return value can be `NULL`.